﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000 (1 yr) Ref Select VER IEEE /9500
INSTRUMENT:            Sub Tek DPO70000 (1 yr) Time Qualified VER IEEE /9500
INSTRUMENT:            Sub Tek DPO70000 (1 yr) Probe Comp VER IEEE /9500
INSTRUMENT:            Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
DATE:                  2010-11-29 10:53:27
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       14
NUMBER OF LINES:       403
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70000B, MSO 70000, DPO/DSA 70000
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO70000 Channel Selection IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST
  1.002  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.003  JMPL         REF_SELECT                PSUBI("Ref Select")
  1.004  JMPL         TIME_QUALIFIED            PSUBI("Qualified")
  1.005  JMPL         PROBE_COMPENSATION        PSUBI("Probe Comp")
  1.006  JMPL         INPUT_IMPEDANCE           PSUBI("Resistance")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# ========== Sub Tek DPO70000 (1 yr) Ref Select VER IEEE /9500 ======

  2.001  LABEL        REF_SELECT

  2.002  RSLT         =
  2.003  HEAD         {TIMEBASE REFERENCE TEST}
  2.004  TARGET
  2.005  IEEE2        CH[V @Chan]:SCA 50E-3
  2.006  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE PK2P;STATE ON
  2.007  MATH         MEM = 200; MEM1 = MEM

  2.008  DO
  2.009  MATH         MEM = MEM1 + (200- MEM) / 2

  2.010  IF           MEM > 250 || MEM < 150
  2.011  MATH         MEM = 200
  2.012  ENDIF

  2.013  9500         mVpp                         10MH           LS    S  L
  2.014  IEEE2        TRIG:A SETL
  2.015  IEEE2        MEASU:STATI:COUNT RESET
  2.016  IEEE2        MEASU:STATI:MODE ALL
  2.017  WAIT         -t 3 Settling...
  2.018  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  2.019  MATH         MEM = MEM * 1E+3
  2.020  UNTIL        (MEM >= 198) && (MEM <= 202)

# Save last calibrator output value.
  2.021  MATH         Vsour = MEM1
  2.022  9500         *                                                 S

  2.023  HEAD         -2 Signal Path Compensation Processing...
  2.024  DISP         Move 9500 Active Head 1 to DUT rear-panel
  2.024  DISP         Ext Ref input.
# Specify the user-suppied external signal as the time base reference.
  2.025  IEEE2        ROS:SOU EXT
  2.026  MATH         MEM = Vsour
  2.027  9500         mVpp                         10MH           LS    S  L
  2.028  WAIT         -t 3 DUT Settling...
  2.029  DISP         Remove all input signals to DUT CH1 to Ch4.
  2.029  DISP
  2.029  DISP         The next routine operator intervention occurs in
  2.029  DISP         approximately 10 minutes.
  2.030  IEEE2        [T1000000]*CAL?[I]
  2.031  EVAL   -e NOT(MEM) : 10 MHz EXTERNAL REFERENCE TEST
  3.001  9500         *                                                 S

  3.002  RSLT         =
  3.003  HEAD         {INTERNAL REFERENCE TEST}
  3.004  TARGET
  3.005  IEEE2        ROS:SOU INTER
  3.006  HEAD         -2 Signal Path Compensation Processing...
  3.007  DISP         Remove the connection to DUT Ext Ref input.
  3.007  DISP
  3.007  DISP         The next routine operator intervention occurs in
  3.007  DISP         approximately 10 minutes.
  3.008  IEEE2        [T1000000]*CAL?[I]
  3.009  EVAL   -e NOT(MEM) : 10 MHz INTERNAL REFERENCE TEST

  4.001  HEAD         -2
  4.002  HEAD
  4.003  END

  4.004  EVAL   Increment step number

# ============ Sub Tek DPO70000 (1 yr) Time Qualified VER IEEE /9500 =======

  5.001  LABEL        TIME_QUALIFIED

  5.002  RSLT         =
  5.003  HEAD         {TIME QUAILIFIED TRIGGER ACCURACY}
  5.004  RSLT         =
  5.005  HEAD         -2{Pulse Width Limit Test, 100 MHz}
  5.006  TARGET
# DUT Setting.
  5.007  IEEE2        HOR:SCA 2E-9
  5.008  IEEE2        TRIG:A:MOD NORMAL
  5.009  IEEE2        TRIG:A:TYP PUL
  5.010  IEEE2        TRIG:A:PUL:SOU CH[V @Chan]
  5.011  IEEE2        TRIG:A:PUL:CLA WID
  5.012  IEEE2        TRIG:A:PUL:WID:HIGHL 10E-9
  5.013  IEEE2        TRIG:A:PUL:WID:LOWL 2E-9
  5.014  IEEE2        TRIG:A:PUL:WID:WHE WIT
  5.015  IEEE2        HOR:SCA 20E-9
# Default setup will set DUT vertical scale to 100E-3 V/div
  5.016  9500         500mVpp                      100MH          LS    S  L
  5.017  WAIT         -t 3 DUT Settling...
  5.018  IEEE2        CH[V @Chan]:SCA 20E-3
  5.019  IEEE2        TRIG:A SETL
# Set the initial value.
  5.020  MATH         MEM = 4.5E-9

# Now increase the pulse trigger lower limit value.
  5.021  DO
  5.022  MATH         MEM = MEM + 1E-10
  5.023  IEEE2        TRIG:A:PUL:WID:LOWL [MEM]
  5.024  WAIT         [D800]
  5.025  IEEE2        TRIG:STATE?[I$]
  5.026  MATH         Loop = NOT(FINDI(MEM2, "TRIG", 1))
  5.027  UNTIL        Loop

  5.028  MATH         MEM = MEM * 1E+9
  5.029  MATH         Rslt = "Lower Limit: Bounds: 4.77 - 5.23 ns, "
  5.030  MATH         Rslt = Rslt & "Result = " & MEM & " ns"
  5.031  EVAL   -e MEM > 4.77 && MEM < 5.23 : [V Rslt]
  6.001  9500         *                                                 S

  6.002  HEAD         -2 Pulse Width Limit Test, 100 MHz
  6.003  TARGET
  6.004  IEEE2        TRIG:A:PUL:WID:LOWL 2E-9
  6.005  9500         500mVpp                      100MH          LS    S  L
  6.006  WAIT         -t 3 DUT Settling...
  6.007  IEEE2        TRIG:A SETL
# Set the initial value.
  6.008  MATH         MEM = 5.5E-9

# Now increase the pulse trigger lower limit value.
  6.009  DO
  6.010  MATH         MEM = MEM - 1E-10
  6.011  IEEE2        TRIG:A:PUL:WID:HIGHL [MEM]
  6.012  WAIT         [D800]
  6.013  IEEE2        TRIG:STATE?[I$]
  6.014  MATH         Loop = NOT(FINDI(MEM2, "TRIG", 1))
  6.015  UNTIL        Loop

  6.016  MATH         MEM = MEM * 1E+9
  6.017  MATH         Rslt = "Upper Limit: Bounds: 4.77 - 5.23 ns, "
  6.018  MATH         Rslt = Rslt & "Result = " & MEM & " ns"
  6.019  EVAL   -e MEM > 4.77 && MEM < 5.23 : [V Rslt]
  7.001  9500         *                                                 S

  7.002  RSLT         =
  7.003  HEAD         -2{Pulse width Limit Test, 250 kHz}
  7.004  TARGET
  7.005  IEEE2        TRIG:A:PUL:WID:HIGHL 4E-6
  7.006  IEEE2        TRIG:A:PUL:WID:LOWL 500E-9
  7.007  IEEE2        HOR:SCA 4E-6
  7.008  IEEE2        CH[V @Chan]:SCA 100E-3
  7.009  9500         500mVpp                      250kH          LS    S  L
  7.010  WAIT         -t 3 DUT Settling...
  7.011  IEEE2        CH[V @Chan]:SCA 20E-3
  7.012  IEEE2        TRIG:A SETL
# Set the initial value.
  7.013  MATH         MEM = 1.8E-6

# Now increase the pulse trigger lower limit value.
  7.014  DO
  7.015  MATH         MEM = MEM + 0.25E-7
  7.016  IEEE2        TRIG:A:PUL:WID:LOWL [MEM]
  7.017  WAIT         [D800]
  7.018  IEEE2        TRIG:STATE?[I$]
  7.019  MATH         Loop = NOT(FINDI(MEM2, "TRIG", 1))
  7.020  UNTIL        Loop

  7.021  MATH         MEM = MEM * 1E+6
  7.022  MATH         Rslt = "Lower Limit: Bounds: 2.1 - 1.9 µs, "
  7.023  MATH         Rslt = Rslt & "Result = " & MEM & "µs"
  7.024  EVAL   -e MEM < 2.1 && MEM > 1.9 : [V Rslt]
  8.001  9500         *                                                 S

  8.002  HEAD         -2 Pulse width Limit Test, 250 kHz
  8.003  TARGET
  8.004  IEEE2        TRIG:A:PUL:WID:LOWL 500E-9
  8.005  9500         500mVpp                      250kH          LS    S  L
  8.006  WAIT         -t 3 DUT Settling...
  8.007  IEEE2        TRIG:A SETL
# Set the initial value.
  8.008  MATH         MEM = 2.5E-6

# Now increase the pulse trigger lower limit value.
  8.009  DO
  8.010  MATH         MEM = MEM - 0.25E-7
  8.011  IEEE2        TRIG:A:PUL:WID:HIGHL [MEM]
  8.012  WAIT         [D800]
  8.013  IEEE2        TRIG:STATE?[I$]
  8.014  MATH         Loop = NOT(FINDI(MEM2, "TRIG", 1))
  8.015  UNTIL        Loop

  8.016  MATH         MEM = MEM * 1E+6
  8.017  MATH         Rslt = "Upper Limit: Bounds: 2.1 - 1.9 µs, "
  8.018  MATH         Rslt = Rslt & "Result = " & MEM & "µs"
  8.019  EVAL   -e MEM < 2.1 && MEM > 1.9 : [V Rslt]
  9.001  9500         *                                                 S

  9.002  HEAD         -2
  9.003  HEAD
  9.004  END

  9.005  EVAL   Increment step number

# ============ Sub Tek DPO70000 (1 yr) Probe Comp VER IEEE /9500 =========

 10.001  LABEL        PROBE_COMPENSATION

 10.002  RSLT         =
 10.003  HEAD         {PROBE COMPENSATION}
 10.004  TARGET
 10.005  DISP         Connect the DUT Fast Edge output to
 10.005  DISP         CH[V @Chan] via SMA cable.
 10.006  IEEE2        CH[V @Chan]:SCA 200E-3
 10.007  IEEE2        HOR:SCA 200E-6
# Press Push-Set 50%
 10.008  IEEE2        TRIG:A SETL
# Use Vertical Position knob to center the display on screen.
 10.008  IEEE2        ACQ:MODE AVE;NUMAV 128
 10.009  WAIT         -t 3 Settling...
# Get the high and low value of waveform, accurately shift the waveform to the
# center of the screen before saving it.
 10.010  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE HIGH;STATE ON
 10.011  WAIT         [D1000]
 10.012  IEEE2        MEASU:MEAS1:VAL?[I]
 10.013  MATH         High = MEM / 1E-3
 10.014  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE LOW;STATE ON
 10.015  WAIT         [D1000]
 10.016  IEEE2        MEASU:MEAS1:VAL?[I]
 10.017  MATH         Low = MEM / 1E-3
# Calculate the shift value of center the waveform on the screen based the
# vertical division.
 10.018  MATH         L[1] = (High - Low) / 2 / (200E-3 / 1E-3)
 10.019  IEEE2        CH[V @Chan]:POS [L1]
 10.020  WAIT         [D1000]
 10.021  IEEE2        SAVE:WAVE CH[V @Chan],"c:/wavech1.wfm"
 10.022  DISP         Disconnect the signal from CH[V @Chan] and
 10.022  DISP         Fast Edge.
 10.023  IEEE2        RECA:WAVE "c:/wavech1.wfm",REF1
 10.024  IEEE2        MEASU:MEAS1:STATE OFF
 10.025  IEEE2        MEASU:MEAS2:STATE OFF
# Get the high measurement of recalled probe compensation signal.
 10.026  IEEE2        MEASU:METH MINM
 10.027  IEEE2        MEASU:MEAS1:SOU1 REF1;TYPE HIGH;STATE ON
 10.028  WAIT         [D1000]
 10.029  IEEE2        MEASU:MEAS1:VAL?[I]
 10.030  DISP         Connect 9500 Active Head 1 to DUT CH[V @Chan].
 10.031  IEEE2        ACQ:MODE AVE;NUMAV 16
 10.032  IEEE2        CH[V @Chan]:TER 50
# vertical position is changed, but the high and low value maybe not changed,
# 9500 amplitude need to add the position offset to the value output.
# Need to verify the assumption when get the DUT.
 10.033  MATH         High = MEM / 1E-3
 10.034  MATH         Increment = 0.1
 10.035  WAIT         [D1000]
 10.036  IEEE2        MEASU:MEAS2:SOU1 CH[V @Chan];TYPE HIGH;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the top (upper) level of recalled waveform.
 10.037  MATH         MEM = High; MEM1 = MEM

 10.038  DO
 10.039  MATH         MEM = MEM1 + (High - MEM) / 2

# Set the output limit trap in order to avoid calculated output exceed the
# display scale of screen too much and resulted query error because of
# unstable reading.
 10.040  IF           MEM > 0 && MEM < 0.888
 10.041  MATH         MEM = 0
 10.042  ENDIF

 10.043  IF           MEM < 0 && MEM > -0.888
 10.044  MATH         MEM = -1
 10.045  ENDIF

 10.046  9500         mV                                                S  L
 10.047  WAIT         [D1000]
 10.048  IEEE2        MEASU:MEAS2:VAL?[I]
 10.049  MATH         MEM = MEM / 1E-3
 10.050  UNTIL        MEM >= (High - Increment) && MEM <= (High + Increment)

# Last calibrator amplitude setting is in MEM1.
 10.051  MATH         AmpHigh = MEM1
 10.052  IEEE2        MEASU:MEAS1:SOU1 REF1;TYPE LOW;STATE ON
 10.053  WAIT         [D1000]
 10.054  IEEE2        MEASU:MEAS1:VAL?[I]
 10.055  MATH         Low = MEM / 1E-3
 10.056  IEEE2        MEASU:MEAS2:SOU1 CH[V @Chan];TYPE LOW;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the base (below) level of recalled waveform.
 10.057  MATH         MEM = Low; MEM1 = MEM; Times = 0

 10.058  DO
 10.059  MATH         MEM = MEM1 + (Low - MEM) / 2

 10.060  IF           MEM > 0.888 && MEM < -0.888
 10.061  MATH         MEM = 0
 10.062  ENDIF

 10.063  9500         mV                                                S  L
 10.064  MATH         Ampl = MEM1
 10.065  WAIT         [D1000]
 10.066  IEEE2        MEASU:MEAS2:VAL?[I]
 10.067  MATH         MEM = MEM / 1E-3
 10.068  MATH         Times = Times + 1
 10.069  UNTIL        MEM >= (Low - Increment) && MEM <= (Low + Increment)

 10.070  MATH         AmpLow = MEM1
 10.071  MATH         MEM = AmpHigh - AmpLow
# Set significant digit of reading
 10.072  MATH         MEM = FRND(MEM, 5)
 10.073  MATH         Result = FMT(MEM, "%.1f")
 10.074  MEM2         = Limit: 352 <= AMPL <= 528 mV
 10.075  MEM2         =[MEM2], Result: [V Result] mV
 10.076  EVAL   -e MEM >= 352 && MEM <= 528 : [MEM2]

 11.001  HEAD
 11.002  9500         *                                                 S
 11.003  END

 11.004  EVAL   Increment step number

# ============ Sub Tek DPO70000B (1 yr) Resistance VER IEEE /9500 ===========

 12.001  LABEL        INPUT_IMPEDANCE

 12.002  IF           @Chan == 1
 12.003  RSLT         =
 12.004  RSLT         =INPUT IMPEDANCE TEST
 12.005  ENDIF

 12.006  RSLT         =
 12.007  RSLT         =Channel [V @Chan]
 12.008  HEAD         INPUT IMPEDANCE {CH [V @Chan]}

 12.009  RSLT         =
 12.010  HEAD         -2{10 mV/div}
 12.011  TARGET       -p
 12.012  IEEE2        CH[V @Chan]:SCA 10E-3;TER 50
 12.013  TARGET       -m
 12.014  9500         50.0Z          1.0U                            ZM    2W

 13.001  RSLT         =
 13.002  HEAD         -2{100 mV/div}
 13.003  TARGET       -p
 13.004  IEEE2        CH[V @Chan]:SCA 100E-3
 13.005  TARGET       -m
 13.006  9500         50.0Z          2.2U                            ZM    2W

 14.001  HEAD         -2
 14.002  HEAD
 14.003  9500         *                                                 S
 14.004  END
