﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70404 (1 yr) BW VER IEEE /9500/3200
DATE:                  2010-11-29 11:19:38
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       392
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Fluke 9560 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO 70404
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO7000 Channel Selection IEEE
#        Sub Tek DPO7000 Trigger Chk and Level Adj IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        One power splitter
#        One 10X attenuator
#        One 2X attenuator
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST
  1.002  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.003  IF           @Chan == 1
  1.004  RSLT         =
  1.005  RSLT         =ANALOG BANDWIDTH
  1.006  ENDIF

  1.007  RSLT         =
  1.008  RSLT         =Channel [V @Chan]
  1.009  HEAD         ANALOG BANDWIDTH 50 Ohm (CH [V @Chan])

  1.010  RSLT         =
  1.011  HEAD         -2{10 mV/div}
  1.012  TARGET
# Configure the DUT.
  1.013  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
  1.014  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
  1.015  IEEE2        CH[V @Chan]:BAN FUL
  1.016  IEEE2        CH[V @Chan]:BAN:ENH AUTO
  1.017  IEEE2        CH[V @Chan]:BAN:ENH:FORC ON
  1.018  IEEE2        HOR:SCA 40E-9
  1.019  IEEE2        HOR:MODE:SAMPLER 250E+9
  1.020  IEEE2        ACQ:MODE AVE;NUMAV 16
  1.021  IEEE2        ACQ:SAMP IT
  1.022  IEEE2        MEASU:MEAS1:METH HIS
  1.023  IEEE2        CH[V @Chan]:BAN:ENH AUTO
# Need to restore the horizontal setting.
  1.024  IEEE2        HOR:SCA 40E-9
  1.025  IEEE2        CH[V @Chan]:SCA 10E-3

# Maybe need to change to PK2P.
  1.026  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PK2P;STATE ON
  1.027  MATH         MEM = 60; MEM1 = MEM

  1.028  DO
  1.029  MATH         MEM = MEM1 + (60 - MEM) / 2

  1.030  IF           MEM > 65 || MEM < 55
  1.031  MATH         MEM = 60
  1.032  ENDIF

  1.033  9500         mVpp                         50MH           LS    S  L
  1.034  WAIT         -t 2 9500B Settling...
  1.035  IEEE2        TRIG:A SETL
  1.036  IEEE2        MEASU:STATI:MODE ALL
  1.037  IEEE2        MEASU:STATI:COUNT RESET
  1.038  WAIT         -t 4 DUT Settling...
  1.039  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  1.040  MATH         MEM = MEM * 1E+3
  1.041  UNTIL        (MEM >= 59.5) && (MEM <= 60.5)

# Last calibrator amplitude setting is in MEM1.
  1.042  MATH         MEM = MEM1
  1.043  MATH         Vinpp = MEM
  1.044  IEEE2        HOR:SCA 1E-9
  1.045  9500         mVpp                         4GH            LS    S  L
  1.046  IEEE2        TRIG:A SETL
  1.047  WAIT         -t 2 9500B Settling...
  1.048  IEEE2        MEASU:STATI:COUNT RESET
  1.049  WAIT         -t 4 DUT Settling...
  1.050  IEEE2        MEASU:MEAS1:MEAN?[I]
  1.051  MATH         MEM = MEM / 1E-3
  1.052  MATH         Vbwpp = MEM
# Calculate the bw gain.
  1.053  MATH         Gain = Vbwpp / Vinpp
  1.054  MATH         GainStr = FMT(Gain, "%.3f")
  1.055  MATH         Vin = FMT(Vinpp, "%.1f")
  1.056  MATH         Vbw = FMT(Vbwpp, "%.1f")
  1.057  MATH         Gain = 20 * log(Gain)
  1.058  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  1.059  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  1.060  MATH         Rslt = Rslt & ", Gain: " & GainStr
  1.061  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]
  2.001  9500         *                                                 S

  2.002  RSLT         =
  2.003  HEAD         -2{20 mV/div}
  2.004  TARGET
  2.005  IEEE2        HOR:SCA 40E-9
  2.006  IEEE2        CH[V @Chan]:SCA 20E-3
  2.007  MATH         MEM = 120; MEM1 = MEM

  2.008  DO
  2.009  MATH         MEM = MEM1 + (120 - MEM) / 2

  2.010  IF           MEM > 125 || MEM < 115
  2.011  MATH         MEM = 120
  2.012  ENDIF

  2.013  9500         mVpp                         50MH           LS    S  L
  2.014  IEEE2        TRIG:A SETL
  2.015  IEEE2        MEASU:STATI:COUNT RESET
  2.016  WAIT         -t 3 Settling...
  2.017  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  2.018  MATH         MEM = MEM * 1E+3
  2.019  UNTIL        (MEM >= 118) && (MEM <= 122)

# Last calibrator amplitude setting is in MEM1.
  2.020  MATH         MEM = MEM1
  2.021  MATH         Vinpp = MEM
  2.022  IEEE2        HOR:SCA 1E-9
  2.023  9500         mVpp                         4GH            LS    S  L
  2.024  IEEE2        TRIG:A SETL
  2.025  WAIT         -t 3 DUT Settling...
  2.026  IEEE2        MEASU:MEAS1:MEAN?[I]
  2.027  MATH         MEM = MEM / 1E-3
  2.028  MATH         Vbwpp = MEM
  2.029  MATH         Gain = Vbwpp / Vinpp
  2.030  MATH         GainStr = FMT(Gain, "%.3f")
  2.031  MATH         Vin = FMT(Vinpp, "%.1f")
  2.032  MATH         Vbw = FMT(Vbwpp, "%.1f")
  2.033  MATH         Gain = 20 * log(Gain)
  2.034  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  2.035  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  2.036  MATH         Rslt = Rslt & ", Gain: " & GainStr
  2.037  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]
  3.001  9500         *                                                 S

  3.002  RSLT         =
  3.003  HEAD         -2{50 mV/div}
  3.004  TARGET
  3.005  IEEE2        HOR:SCA 40E-9
  3.006  IEEE2        CH[V @Chan]:SCA 50E-3
  3.007  MATH         MEM = 300; MEM1 = MEM

  3.008  DO
  3.009  MATH         MEM = MEM1 + (300 - MEM) / 2

  3.010  IF           MEM > 330 || MEM < 270
  3.011  MATH         MEM = 300
  3.012  ENDIF

  3.013  9500         mVpp                         50MH           LS    S  L
  3.014  IEEE2        TRIG:A SETL
  3.015  IEEE2        MEASU:STATI:COUNT RESET
  3.016  WAIT         -t 3 Settling...
  3.017  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  3.018  MATH         MEM = MEM * 1E+3
  3.019  UNTIL        (MEM >= 298) && (MEM <= 302)

# Last calibrator amplitude setting is in MEM1.
  3.020  MATH         MEM = MEM1
  3.021  MATH         Vinpp = MEM
  3.022  IEEE2        HOR:SCA 1E-9
  3.023  9500         mVpp                         4GH            LS    S  L
  3.024  WAIT         -t 3 DUT Settling...
  3.025  IEEE2        MEASU:MEAS1:MEAN?[I]
  3.026  MATH         MEM = MEM / 1E-3
  3.027  MATH         Vbwpp = MEM
  3.028  MATH         Gain = Vbwpp / Vinpp
  3.029  MATH         GainStr = FMT(Gain, "%.3f")
  3.030  MATH         Vin = FMT(Vinpp, "%.0f")
  3.031  MATH         Vbw = FMT(Vbwpp, "%.0f")
  3.032  MATH         Gain = 20 * log(Gain)
  3.033  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  3.034  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  3.035  MATH         Rslt = Rslt & ", Gain: " & GainStr
  3.036  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]
  4.001  9500         *                                                 S

  4.002  RSLT         =
  4.003  HEAD         -2{100 mV/div}
  4.004  TARGET
  4.005  IEEE2        HOR:SCA 40E-9
  4.006  IEEE2        CH[V @Chan]:SCA 100E-3
  4.007  MATH         MEM = 600; MEM1 = MEM

  4.008  DO
  4.009  MATH         MEM = MEM1 + (600 - MEM) / 2

  4.010  IF           MEM > 620 || MEM < 580
  4.011  MATH         MEM = 600
  4.012  ENDIF

  4.013  9500         mVpp                         50MH           LS    S  L
  4.014  IEEE2        TRIG:A SETL
  4.015  IEEE2        MEASU:STATI:COUNT RESET
  4.016  WAIT         -t 3 Settling...
  4.017  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  4.018  MATH         MEM = MEM * 1E+3
  4.019  UNTIL        (MEM >= 598) && (MEM <= 602)

# Last calibrator amplitude setting is in MEM1.
  4.020  MATH         MEM = MEM1
  4.021  MATH         Vinpp = MEM
  4.022  IEEE2        HOR:SCA 1E-9
  4.023  9500         mVpp                         4GH            LS    S  L
  4.024  IEEE2        TRIG:A SETL
  4.025  WAIT         -t 3 DUT Settling...
  4.026  IEEE2        MEASU:MEAS1:MEAN?[I]
  4.027  MATH         MEM = MEM / 1E-3
  4.028  MATH         Vbwpp = MEM
  4.029  MATH         Gain = Vbwpp / Vinpp
  4.030  MATH         GainStr = FMT(Gain, "%.3f")
  4.031  MATH         Vin = FMT(Vinpp, "%.0f")
  4.032  MATH         Vbw = FMT(Vbwpp, "%.0f")
  4.033  MATH         Gain = 20 * log(Gain)
  4.034  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  4.035  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  4.036  MATH         Rslt = Rslt & ", Gain: " & GainStr
  4.037  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]
  5.001  9500         *                                                 S

  5.002  RSLT         =
  5.003  HEAD         -2{200 mV/div}
  5.004  TARGET
  5.005  IEEE2        HOR:SCA 40E-9
  5.006  IEEE2        CH[V @Chan]:SCA 200E-3
  5.007  MATH         MEM = 1200; MEM1 = MEM

  5.008  DO
  5.009  MATH         MEM = MEM1 + (1200 - MEM) / 2

  5.010  IF           MEM > 1150 || MEM < 1250
  5.011  MATH         MEM = 1200
  5.012  ENDIF

  5.013  9500         mVpp                         50MH           LS    S  L
  5.014  IEEE2        TRIG:A SETL
  5.015  IEEE2        MEASU:STATI:COUNT RESET
  5.016  IEEE2        MEASU:STATI:MODE ALL
  5.017  WAIT         -t 3 Settling...
  5.018  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  5.019  MATH         MEM = MEM * 1E+3
  5.020  UNTIL        (MEM >= 1198) && (MEM <= 1202)

# Last calibrator amplitude setting is in MEM1.
  5.021  MATH         MEM = MEM1
  5.022  MATH         Vinpp = MEM
  5.023  IEEE2        HOR:SCA 1E-9
  5.024  9500         mVpp                         4GH            LS    S  L
  5.025  IEEE2        TRIG:A SETL
  5.026  WAIT         -t 3 DUT Settling...
  5.027  IEEE2        MEASU:MEAS1:MEAN?[I]
  5.028  MATH         MEM = MEM / 1E-3
  5.029  MATH         Vbwpp = MEM
  5.030  MATH         Gain = Vbwpp / Vinpp
  5.031  MATH         GainStr = FMT(Gain, "%.3f")
  5.032  MATH         Vin = FMT(Vinpp, "%.0f")
  5.033  MATH         Vbw = FMT(Vbwpp, "%.0f")
  5.034  MATH         Gain = 20 * log(Gain)
  5.035  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  5.036  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  5.037  MATH         Rslt = Rslt & ", Gain: " & GainStr
  5.038  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]

# 9500: Voltage (3 Vpp) out of range for Leveled Sine mode.  Limits are
# 0.02224 Vpp to 2.224 Vpp when frequency is between 0.1 Hz and 6.4e+009 Hz.
  6.001  RSLT         =
  6.002  HEAD         -2{500 mV/div}
  6.003  TARGET
  6.004  IEEE2        HOR:SCA 40E-9
  6.005  IEEE2        CH[V @Chan]:SCA 500E-3
  6.006  MATH         MEM = 2000; MEM1 = MEM

  6.007  DO
  6.008  MATH         MEM = MEM1 + (2000 - MEM) / 2

  6.009  IF           MEM > 1950 || MEM < 2050
  6.010  MATH         MEM = 2000
  6.011  ENDIF

  6.012  9500         mVpp                         50MH           LS    S  L
  6.013  IEEE2        TRIG:A SETL
  6.014  IEEE2        MEASU:STATI:COUNT RESET
  6.015  IEEE2        MEASU:STATI:MODE ALL
  6.016  WAIT         -t 3 Settling...
  6.017  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  6.018  MATH         MEM = MEM * 1E+3
  6.019  UNTIL        (MEM >= 1998) && (MEM <= 2002)

# Last calibrator amplitude setting is in MEM1.
  6.020  MATH         MEM = MEM1
  6.021  MATH         Vinpp = MEM
  6.022  IEEE2        HOR:SCA 1E-9
  6.023  9500         mVpp                         4GH            LS    S  L
  6.024  IEEE2        TRIG:A SETL
  6.025  WAIT         -t 3 DUT Settling...
  6.026  IEEE2        MEASU:MEAS1:MEAN?[I]
  6.027  MATH         MEM = MEM / 1E-3
  6.028  MATH         Vbwpp = MEM
  6.029  MATH         Gain = Vbwpp / Vinpp
  6.030  MATH         GainStr = FMT(Gain, "%.3f")
  6.031  MATH         Vin = FMT(Vinpp, "%.0f")
  6.032  MATH         Vbw = FMT(Vbwpp, "%.0f")
  6.033  MATH         Gain = 20 * log(Gain)
  6.034  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  6.035  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  6.036  MATH         Rslt = Rslt & ", Gain: " & GainStr
  6.037  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]

  7.001  RSLT         =
  7.002  HEAD         -2{1 V/div}
  7.003  TARGET
  7.004  IEEE2        HOR:SCA 40E-9
  7.005  IEEE2        CH[V @Chan]:SCA 1
  7.006  MATH         MEM = 2000; MEM1 = MEM

  7.007  DO
  7.008  MATH         MEM = MEM1 + (2000 - MEM) / 2

  7.009  IF           MEM > 1950 || MEM < 2050
  7.010  MATH         MEM = 2000
  7.011  ENDIF

  7.012  9500         mVpp                         50MH           LS    S  L
  7.013  IEEE2        TRIG:A SETL
  7.014  IEEE2        MEASU:STATI:COUNT RESET
  7.015  IEEE2        MEASU:STATI:MODE ALL
  7.016  WAIT         -t 3 Settling...
  7.017  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  7.018  MATH         MEM = MEM * 1E+3
  7.019  UNTIL        (MEM >= 1998) && (MEM <= 2002)

# Last calibrator amplitude setting is in MEM1.
  7.020  MATH         MEM = MEM1
  7.021  MATH         Vinpp = MEM
  7.022  IEEE2        HOR:SCA 1E-9
  7.023  9500         mVpp                         4GH            LS    S  L
  7.024  IEEE2        TRIG:A SETL
  7.025  WAIT         -t 3 DUT Settling...
  7.026  IEEE2        MEASU:MEAS1:MEAN?[I]
  7.027  MATH         MEM = MEM / 1E-3
  7.028  MATH         Vbwpp = MEM
  7.029  MATH         Gain = Vbwpp / Vinpp
  7.030  MATH         GainStr = FMT(Gain, "%.3f")
  7.031  MATH         Vin = FMT(Vinpp, "%.0f")
  7.032  MATH         Vbw = FMT(Vbwpp, "%.0f")
  7.033  MATH         Gain = 20 * log(Gain)
  7.034  MATH         GainStr = FMT(Gain, "%.1f") & " dB"
  7.035  MATH         Rslt = " Bound: -3dB ~ 3dB, " & Vin &"->" & Vbw &" mVpp"
  7.036  MATH         Rslt = Rslt & ", Gain: " & GainStr
  7.037  EVAL   -e (Gain >= -3) && (Gain <= 3) : [V Rslt]

  8.001  HEAD         -2
  8.002  HEAD
  8.003  9500         *                                                 S
  8.004  END
